Package com.sas.iom

# Interface JDBCConstants

public interface JDBCConstants
JDBCConstants - interface for JDBC constants.

These are the preferred String constants for clients to use when programming with the SAS IOM JDBC Driver.

Please do not extend this interface; instead use static imports as necessary.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `APPLY_FORMATS`
  `static final String`
  `APPLYFORMATS`
  Deprecated.
  `static final String`
  `APPLYINFORMATS`
  Deprecated.
  `static final String`
  `COERCE_NUMERIC_TYPES`
  `static final String`
  `DBMS`
  `static final String`
  `DBMS_OPTIONS`
  `static final String`
  `ENCRYPTION_ALGORITHMS`
  `static final String`
  `ENCRYPTION_CONTENT`
  `static final String`
  `ENCRYPTION_POLICY`
  `static final String`
  `HOST`
  `static final String`
  `LIBREFS`
  `static final String`
  `PASSWORD`
  `static final String`
  `PORT`
  `static final String`
  `REMARKS`
  `static final String`
  `SASIFY_TABLE_NAMES`
  `static final String`
  `SEGMENT_LENGTH`
  `static final String`
  `SPN`
  `static final String`
  `UNDO_POLICY_NONE`
  `static final String`
  `UNDOPOLICYNONE`
  Deprecated.
  `static final String`
  `USE_SSPI`
  `static final String`
  `USER`
  `static final String`
  `USER_NAME`
  `static final String`
  `USERNAME`
  Deprecated.

- ## Field Details

  - ### LIBREFS

    static final String LIBREFS
    See Also:
      - Constant Field Values

  - ### REMARKS

    static final String REMARKS
    See Also:
      - Constant Field Values

  - ### USER

    static final String USER
    See Also:
      - Constant Field Values

  - ### USER_NAME

    static final String USER_NAME
    See Also:
      - Constant Field Values

  - ### PASSWORD

    static final String PASSWORD
    See Also:
      - Constant Field Values

  - ### UNDO_POLICY_NONE

    static final String UNDO_POLICY_NONE
    See Also:
      - Constant Field Values

  - ### DBMS

    static final String DBMS
    See Also:
      - Constant Field Values

  - ### DBMS_OPTIONS

    static final String DBMS_OPTIONS
    See Also:
      - Constant Field Values

  - ### APPLY_FORMATS

    static final String APPLY_FORMATS
    See Also:
      - Constant Field Values

  - ### COERCE_NUMERIC_TYPES

    static final String COERCE_NUMERIC_TYPES
    See Also:
      - Constant Field Values

  - ### ENCRYPTION_POLICY

    static final String ENCRYPTION_POLICY
    See Also:
      - Constant Field Values

  - ### ENCRYPTION_CONTENT

    static final String ENCRYPTION_CONTENT
    See Also:
      - Constant Field Values

  - ### ENCRYPTION_ALGORITHMS

    static final String ENCRYPTION_ALGORITHMS
    See Also:
      - Constant Field Values

  - ### SASIFY_TABLE_NAMES

    static final String SASIFY_TABLE_NAMES
    See Also:
      - Constant Field Values

  - ### USE_SSPI

    static final String USE_SSPI
    See Also:
      - Constant Field Values

  - ### SPN

    static final String SPN
    See Also:
      - Constant Field Values

  - ### SEGMENT_LENGTH

    static final String SEGMENT_LENGTH
    See Also:
      - Constant Field Values

  - ### HOST

    static final String HOST
    See Also:
      - Constant Field Values

  - ### PORT

    static final String PORT
    See Also:
      - Constant Field Values

  - ### USERNAME

    @Deprecated static final String USERNAME
    Deprecated.
    incorrect naming convention; use `#USER_NAME`
    See Also:
      - Constant Field Values

  - ### UNDOPOLICYNONE

    @Deprecated static final String UNDOPOLICYNONE
    Deprecated.
    incorrect naming convention; use `UNDO_POLICY_NONE`
    See Also:
      - Constant Field Values

  - ### APPLYFORMATS

    @Deprecated static final String APPLYFORMATS
    Deprecated.
    incorrect naming convention; use `#APPLY_FORMTS`
    See Also:
      - Constant Field Values

  - ### APPLYINFORMATS

    @Deprecated static final String APPLYINFORMATS
    Deprecated.
    invalid property that crept into API; avoid!
    See Also:
      - Constant Field Values